{"id":18076,"date":"2018-11-24T06:36:41","date_gmt":"2018-11-24T06:36:41","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?post_type=docs&#038;p=15515"},"modified":"2023-10-06T11:16:02","modified_gmt":"2023-10-06T10:16:02","slug":"get-changelogs-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-changelogs-api\/","title":{"rendered":"Get ChangeLogs API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get the list of changes made to the bot definition for a given date period.<\/p>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/changelogs<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li>Bot Builder: Logs History<\/li>\n<li>Admin Console: Logs &gt; Bot Audit Logs<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Required<\/td>\n<td>Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/{{bot_id}}\/changelogs \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n  -H 'content-type: application\/json' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>offset<\/td>\n<td>Optional<\/td>\n<td>The page number from which to start fetching the changeLog. If unspecified, it starts from 0, which is the first page of the Change Log.<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>Optional<\/td>\n<td>The number of records to fetch. The maximum applicable limit is 50.<\/td>\n<\/tr>\n<tr>\n<td>startDate<\/td>\n<td>Optional<\/td>\n<td>The start date from which you want to see the changes. If unspecified, the date is automatically set to the bot creation date. Enter the date in ISO date format. For example,\u00a0March 30, 1998 would be 1998-03-30.<\/td>\n<\/tr>\n<tr>\n<td>endDate<\/td>\n<td>Optional<\/td>\n<td>The end date up to which you want to see the changes.\u00a0Enter the date in ISO date format. For example,\u00a0March 30, 1998 would be 1998-03-30.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">[\r\n    {\r\n        \"_id\": \"btl-039ca909-5dd2-59ce-a5b7-30c61a385ebf\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"stream\",\r\n        \"message\": \"Bot updated\",\r\n        \"createdOn\": \"2019-06-27T05:25:37.148Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-0ff1cc72-c2c5-508d-b58c-a58257cd829f\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dg-14fd680d-3c42-5594-9d1b-c1b5504effa7\",\r\n        \"resourceType\": \"dialog\",\r\n        \"message\": \"Published task Book a ticket\",\r\n        \"createdOn\": \"2019-06-27T05:29:17.748Z\",\r\n        \"__v\": 0\r\n    },     \r\n    {\r\n        \"_id\": \"btl-6a0d7027-e0d9-51eb-9377-7c0d6dd62ca0\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"variables\",\r\n        \"message\": \"Bot variables are exported\",\r\n        \"createdOn\": \"2019-06-27T05:26:26.596Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-6b8d6b9f-f7a4-5eb9-b1a5-f242d2d2165a\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"app\",\r\n        \"message\": \"Scope definition updated for PublicAPI app\",\r\n        \"createdOn\": \"2019-06-26T11:44:31.621Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-6bbf175b-9c01-56c2-8208-a565bfb27e37\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",           \r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"stream\",\r\n        \"message\": \"Trained ML after BOT approval\",\r\n        \"createdOn\": \"2019-06-26T11:45:32.641Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-77eb7249-8bb4-508c-9103-f7bce1eaa4ee\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"app\",\r\n        \"message\": \"Scope definition added for PublicAPI app\",\r\n        \"createdOn\": \"2019-06-26T11:43:57.767Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-8cbe200a-9b42-5fcc-948c-41be4648d7c6\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"app\",\r\n        \"message\": \"Scope definition updated for PublicAPI app\",\r\n        \"createdOn\": \"2019-06-27T05:28:43.525Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-8e7b8388-97d9-5582-bfbb-b6577cccdec5\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"5d1359fb64dd501a8ad729f9\",\r\n        \"resourceType\": \"Knowledge Task\",\r\n        \"message\": \"Knowledge task published\",\r\n        \"createdOn\": \"2019-06-27T05:29:17.742Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-968044ec-1f8e-5be5-8617-03ca7902a088\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dc-f7b697bb-f561-53bb-b365-2ed1bcb0ac57\",\r\n        \"resourceType\": \"intent\",\r\n        \"message\": \"Trained ML after updating the dialog component Book_a_ticket \",\r\n        \"createdOn\": \"2019-06-26T11:41:40.556Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-9a9fbcfd-6860-5a68-954f-45cbe59df2ad\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dg-14fd680d-3c42-5594-9d1b-c1b5504effa7\",\r\n        \"resourceType\": \"Sentence\",\r\n        \"message\": \"Trained ML after editing the dialog task Book a ticket successfully.\",\r\n        \"createdOn\": \"2019-06-27T05:36:05.546Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-9b8e6cdc-f360-5a85-bf36-eae1bceba08c\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dg-14fd680d-3c42-5594-9d1b-c1b5504effa7\",\r\n        \"resourceType\": \"dialog\",\r\n        \"message\": \"Trained ML after upgrading dialog task Book a ticket \",\r\n        \"createdOn\": \"2019-06-26T12:04:07.374Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-9ef0d718-d2b3-53a2-a770-ffb934c89439\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"bir-6d600d86-15c6-561f-99ef-da4ebd02a9b7\",\r\n        \"resourceType\": \"Import\",\r\n        \"message\": \"Import request completed\",\r\n        \"createdOn\": \"2019-06-27T05:36:05.669Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-a435be8a-fb82-5467-9bf2-96ee38d4859d\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dg-14fd680d-3c42-5594-9d1b-c1b5504effa7\",\r\n        \"resourceType\": \"Dialog\",\r\n        \"message\": \"Hold &amp; Resume settings updated for book a ticket\",\r\n        \"createdOn\": \"2019-06-27T05:36:05.547Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-a6548aea-38af-51fc-b3e7-5eeffed53913\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"stream\",\r\n        \"message\": \"BOT channels edited : Kore Messenger channel update\",\r\n        \"createdOn\": \"2019-06-27T05:29:09.032Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-a8a40880-0b09-5bf8-9ca3-de7575baa338\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"stream\",\r\n        \"message\": \"Saved BOT\",\r\n        \"createdOn\": \"2019-06-26T11:41:13.784Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-bf10483a-32ec-5e1d-ac2a-b0c78fd208d6\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"5d1359fb64dd501a8ad729f9\",\r\n        \"resourceType\": \"KnowledgeTask\",\r\n        \"message\": \"Edited KnowledgeTask Public APIs\",\r\n        \"createdOn\": \"2019-06-27T05:25:37.285Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-c6740977-6311-55b5-96ae-9db6b38c2a90\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"stream\",\r\n        \"message\": \"User Demo Bots is assigned with new role Bot Owner\",\r\n        \"createdOn\": \"2019-06-26T11:41:13.729Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-cce62c28-cf95-5a5d-95aa-11b843c0a237\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"variables\",\r\n        \"message\": \"Bot variables are exported\",\r\n        \"createdOn\": \"2019-06-27T05:39:18.707Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-d0948aeb-fdb0-5545-871d-3cce70ae0311\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dg-14fd680d-3c42-5594-9d1b-c1b5504effa7\",\r\n        \"resourceType\": \"Dialog\",\r\n        \"message\": \"Created Dialog Book a ticket\",\r\n        \"createdOn\": \"2019-06-26T11:41:40.192Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-d35fbc0b-86aa-56e7-9176-7e0037615f3c\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"stream\",\r\n        \"message\": \"Bot updated\",\r\n        \"createdOn\": \"2019-06-27T05:29:09.029Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-d48a795d-7f36-505e-a76d-f671113eaff5\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dg-14fd680d-3c42-5594-9d1b-c1b5504effa7\",\r\n        \"resourceType\": \"Sentence\",\r\n        \"message\": \"Trained ML after editing the dialog task Book a ticket successfully.\",\r\n        \"createdOn\": \"2019-06-26T11:41:40.497Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-da3fe886-b12b-59c1-a759-2fa95bdd2e59\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceType\": \"stream\",\r\n        \"message\": \"Bot updated\",\r\n        \"createdOn\": \"2019-06-27T05:36:05.445Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-da5fc1b5-5eca-512f-b3a9-128670f99d0e\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"5d1359fb64dd501a8ad729f9\",\r\n        \"resourceType\": \"KnowledgeTask\",\r\n        \"message\": \"Created KnowledgeTask Public APIs\",\r\n        \"createdOn\": \"2019-06-26T11:41:47.288Z\",\r\n        \"__v\": 0\r\n    },\r\n    {\r\n        \"_id\": \"btl-db9637bc-8da8-53b3-b49c-8d878e2f2e26\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"bir-a6a1b825-8882-5603-81ac-a822af9c3276\",\r\n        \"resourceType\": \"Import\",\r\n        \"message\": \"Import request completed\",\r\n        \"createdOn\": \"2019-06-27T05:25:37.375Z\",\r\n        \"__v\": 0\r\n    }\r\n    {\r\n        \"_id\": \"btl-ff3f76fa-1c00-54b4-8982-ed6943feae8b\",\r\n        \"userId\": {\r\n            \"id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"firstName\": \"demo\",\r\n            \"lastName\": \"bots\",\r\n            \"emailId\": \"demobots@qakore.xyz\",\r\n            \"activationStatus\": \"active\",\r\n            \"profColour\": \"#ff4500\",\r\n            \"profImage\": \"no-avatar\",\r\n            \"_id\": \"u-5dad2ccd-b271-5c00-a338-2e6e25e1ec91\",\r\n            \"orgId\": \"o-daf5c054-e63b-561e-9a31-e53478aa154b\"\r\n        },\r\n        \"streamId\": \"st-6ecb5ba2-5e31-5a40-b918-8cbee40f3fdb\",\r\n        \"resourceId\": \"dg-14fd680d-3c42-5594-9d1b-c1b5504effa7\",\r\n        \"resourceType\": \"Dialog\",\r\n        \"message\": \"Hold &amp; Resume settings updated for book a ticket\",\r\n        \"createdOn\": \"2019-06-26T11:41:40.498Z\",\r\n        \"__v\": 0\r\n    }\r\n]\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the list of changes made to the bot definition for a given date period. Method GET Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/changelogs Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Logs History Admin Console: Logs &gt; Bot Audit Logs Path Parameters Parameter Required\/Optional Description host Required Environment URL,...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18076","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18076","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=18076"}],"version-history":[{"count":16,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18076\/revisions"}],"predecessor-version":[{"id":59726,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18076\/revisions\/59726"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=18076"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=18076"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=18076"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}